internal::key_matching_port< TraitsType >::key_matching_port_operation Class Reference
Inheritance diagram for internal::key_matching_port< TraitsType >::key_matching_port_operation:
Collaboration diagram for internal::key_matching_port< TraitsType >::key_matching_port_operation:

## Public Member Functions

| key_matching_port_operation (const input_type &e, op_type t)
| key_matching_port_operation (const input_type *p, op_type t)
| key_matching_port_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
input_type | my_val
input_type * | my_arg
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<class TraitsType>
class internal::key_matching_port< TraitsType >::key_matching_port_operation

Definition at line 685 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## key_matching_port_operation() [1/3]

template<class TraitsType >

internal::key_matching_port< TraitsType >::key_matching_port_operation::key_matching_port_operation | ( | const input_type & | e,
|  | op_type | t
| ) |  |

inline

Definition at line 696 of file _flow_graph_join_impl.h.

:
type(char(t)), my_val(e) {}

## key_matching_port_operation() [2/3]

template<class TraitsType >

internal::key_matching_port< TraitsType >::key_matching_port_operation::key_matching_port_operation | ( | const input_type * | p,
|  | op_type | t
| ) |  |

inline

Definition at line 699 of file _flow_graph_join_impl.h.

:
type(char(t)), my_arg(const_cast<input_type*>(p)) {}

## key_matching_port_operation() [3/3]

template<class TraitsType >

internal::key_matching_port< TraitsType >::key_matching_port_operation::key_matching_port_operation | ( | op_type | t | ) |

inline

Definition at line 702 of file _flow_graph_join_impl.h.

: type(char(t)) {}

## Member Data Documentation

## my_arg

template<class TraitsType >

input_type* internal::key_matching_port< TraitsType >::key_matching_port_operation::my_arg

Definition at line 689 of file _flow_graph_join_impl.h.

Referenced by internal::key_matching_port< TraitsType >::handle_operations().

## my_val

template<class TraitsType >

input_type internal::key_matching_port< TraitsType >::key_matching_port_operation::my_val

Definition at line 688 of file _flow_graph_join_impl.h.

Referenced by internal::key_matching_port< TraitsType >::handle_operations().

## type

template<class TraitsType >

char internal::key_matching_port< TraitsType >::key_matching_port_operation::type

Definition at line 687 of file _flow_graph_join_impl.h.

Referenced by internal::key_matching_port< TraitsType >::handle_operations().

The documentation for this class was generated from the following file:

- _flow_graph_join_impl.h

internal::key_matching_port::key_matching_port_operation::my_val
input_type my_val
Definition: _flow_graph_join_impl.h:688
internal::key_matching_port::key_matching_port_operation::my_arg
input_type * my_arg
Definition: _flow_graph_join_impl.h:689
internal::key_matching_port::key_matching_port_operation::type
char type
Definition: _flow_graph_join_impl.h:687
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.